'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _MicroCardContentStatus = require('./MicroCardContentStatus');

var _MicroCardContentStatus2 = _interopRequireDefault(_MicroCardContentStatus);

var _MicroCardContentMessage = require('./MicroCardContentMessage');

var _MicroCardContentMessage2 = _interopRequireDefault(_MicroCardContentMessage);

var _externalAttributeFilter = require('../../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var MicroCardContent = function MicroCardContent(props) {
  var externalAttributes = (0, _externalAttributeFilter2['default'])(props);
  return _react2['default'].createElement(
    _flexboxReact2['default'],
    { flexDirection: 'column', paddingBottom: '10px', paddingLeft: '10px', paddingTop: '5px' },
    props.title ? _react2['default'].createElement(
      _flexboxReact2['default'],
      (0, _extends3['default'])({}, externalAttributes, { className: 'box__header ' + props.className }),
      props.title
    ) : '',
    _react2['default'].createElement(
      _flexboxReact2['default'],
      { flexGrow: 2 },
      props.children
    )
  );
};

MicroCardContent.Status = _MicroCardContentStatus2['default'];
MicroCardContent.Message = _MicroCardContentMessage2['default'];

MicroCardContent.defaultProps = {
  title: ''
};

MicroCardContent.propTypes = {
  title: _propTypes2['default'].string
};

exports['default'] = MicroCardContent;
module.exports = exports['default'];
//# sourceMappingURL=MicroCardContent.js.map